Loading...
Searching...
No Matches
Opm::Elasticity::LinearShapeFunction< ctype, rtype, dim > Class Template Reference

Represents a linear shape function on a Q4/Q8 element. More...

`#include <shapefunctions.hpp>`

## Public Types

enum | { dimension = dim }
| The dimension of the shape function.

## Public Member Functions

| LinearShapeFunction ()
| Default constructor.
| LinearShapeFunction (const Dune::FieldVector< rtype, dim > &coeff0_, const Dune::FieldVector< rtype, dim > &coeff1_)
| Construct a shape function with the given coefficients.
void | setCoeff (const Dune::FieldVector< rtype, dim > &coeff0_, const Dune::FieldVector< rtype, dim > &coeff1_)
| Set the given conefficients.
rtype | evaluateFunction (const Dune::FieldVector< ctype, dim > &local) const
| Evaluate the shape function.
Dune::FieldVector< rtype, dim > | evaluateGradient (const Dune::FieldVector< ctype, dim > &local) const
| Evaluate the gradient of the shape function.

## Detailed Description

template<class ctype, class rtype, int dim>
class Opm::Elasticity::LinearShapeFunction< ctype, rtype, dim >

Represents a linear shape function on a Q4/Q8 element.

## Constructor & Destructor Documentation

## LinearShapeFunction()

template<class ctype, class rtype, int dim>

Opm::Elasticity::LinearShapeFunction< ctype, rtype, dim >::LinearShapeFunction | ( | const Dune::FieldVector< rtype, dim > & | coeff0_,
|  | const Dune::FieldVector< rtype, dim > & | coeff1_ )

inline

Construct a shape function with the given coefficients.

Parameters

  [in] | coeff0_ | The constant coefficients
  [in] | coeff1_ | The linear coefficients

## Member Function Documentation

## evaluateFunction()

template<class ctype, class rtype, int dim>

rtype Opm::Elasticity::LinearShapeFunction< ctype, rtype, dim >::evaluateFunction | ( | const Dune::FieldVector< ctype, dim > & | local | ) | const

inline

Evaluate the shape function.

Parameters

  [in] | local | The local coordinates

## evaluateGradient()

template<class ctype, class rtype, int dim>

Dune::FieldVector< rtype, dim > Opm::Elasticity::LinearShapeFunction< ctype, rtype, dim >::evaluateGradient | ( | const Dune::FieldVector< ctype, dim > & | local | ) | const

inline

Evaluate the gradient of the shape function.

Parameters

  [in] | local | The local coordinates

## setCoeff()

template<class ctype, class rtype, int dim>

void Opm::Elasticity::LinearShapeFunction< ctype, rtype, dim >::setCoeff | ( | const Dune::FieldVector< rtype, dim > & | coeff0_,
|  | const Dune::FieldVector< rtype, dim > & | coeff1_ )

inline

Set the given conefficients.

Parameters

  [in] | coeff0_ | The constant coefficients
  [in] | coeff1_ | The linear coefficients

The documentation for this class was generated from the following file:

- opm/elasticity/shapefunctions.hpp